#!/usr/bin/env perl
use v5.10;
use strict;
use warnings;

sub test($$$) {
  my ($cmd,$file,$expected) = @_;

  my $res = readpipe($cmd . " < t/" . $file);
  $res eq $expected or die "FAIL: $cmd\nEXPECTED:\n$expected\nACTUAL:\n$res";
}

# TODO: testing format
test("./cap2site.pod", "hello.gmi", <<'EOF'
<h1>Hello, world!</h1>
<p>Lorem ipsum dolor sit amet</p>
EOF
);

test("./cap2site.pod -s", "hello.gmi", <<'EOF');
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8"/>
<link rel="stylesheet" href="style.css"></link>
</head>
<body>
<h1>Hello, world!</h1>
<p>Lorem ipsum dolor sit amet</p>
</body>
</html>
EOF

say "DONE!";
